#include <bits/stdc++.h>
using namespace std;

int n, k, x;
bool used[1000005];

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0); cout.tie(0);
    mt19937 rng(chrono::steady_clock::now().time_since_epoch().count());

    cin >> n >> k >> x;

    if(k < n){
        for(int i = 0; i < 3; ++i){cout << 1 << " ";}
        cout << x + 1 << " ";
        for(int i = 4; i < n; ++i){cout << x << " ";}
    }
    else if(k == 3){
        if(n < 3){
            cout << -1 << "\n";
        }
        else if(n == 3){
            cout << 1 << " " << x + 1 << " " << 2 * x + 1 << "\n";
        }
    }
    else if(k == n){
        cout << 1 << " ";
        for(int i = 1; i < n - 2; ++i){
            cout << 2 << " ";
        }
        cout << x + 1 << " " << 2 * x + 1 << "\n";
    }
    else{
        for(int i = 1; i < n; ++i){
            int j = n - i;
            if(i * j == k){
                for(int k = 0; k < i; ++k){
                    cout << 1 << " ";
                }
                for(int k = i; k < n; ++k){
                    cout << x + 1 << " ";
                }
                cout << "\n";
                break;
            }
        }
    }

    return 0;
}